Subject: 28.0.50; Error when edebugging setting unbound place

From: Michael Heerdegen <[email-masked]>
Date: Tue, 16 Feb 2021 23:32:58 +0100

Hello,

when edebugging something like

  (setf PLACE VALUE)

Edebug stops after PLACE and displays its "binding".  While that would
make some sense for e.g. `cl-callf', in the above situation the behavior
is confusing because when the code is run the binding of PLACE is never
referenced, so this suggests that the code uses the binding of PLACE in
some way which is not the case.

But when PLACE is even unbound (e.g. and unbound variable, or an unbound
eieio-object slot [a totally legitimate case!]), Edebug kicks me out of
the session and raises an error.  Edebug can't be used for such code.
That needs fixing.

TIA,

Michael.